CVE-2017-14165

NameCVE-2017-14165
DescriptionThe ReadSUNImage function in coders/sun.c in GraphicsMagick 1.3.26 has an issue where memory allocation is excessive because it depends only on a length field in a header. This may lead to remote denial of service in the MagickMalloc function in magick/memory.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs874724

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
graphicsmagick (PTS)jessie1.3.20-3+deb8u2vulnerable
jessie (security)1.3.20-3+deb8u4vulnerable
stretch1.3.25-8vulnerable
buster, sid1.3.30-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
graphicsmagicksource(unstable)1.3.26-9unimportant874724

Notes

Fixed by: http://hg.code.sf.net/p/graphicsmagick/code/rev/493da54370aa
http://www.openwall.com/lists/oss-security/2017/09/06/4
https://sourceforge.net/p/graphicsmagick/bugs/442/

Search for package or bug name: Reporting problems